Gentoo Forums
Gentoo Forums
Gentoo Forums
Quick Search: in
KDE4 Overlay (Part 3)
View unanswered posts
View posts from last 24 hours

Goto page Previous  1, 2, 3 ... 22, 23, 24  
This topic is locked: you cannot edit posts or make replies.    Gentoo Forums Forum Index Unsupported Software
View previous topic :: View next topic  
Author Message
Berniyh
l33t
l33t


Joined: 07 Jun 2006
Posts: 677

PostPosted: Sat Jan 26, 2008 6:38 pm    Post subject: Reply with quote

wrc1944 wrote:
Just discovered something troubling. After the layman -s kde sync which allowed me to emerge kdebase-9999.4 and others again, kdetoys and kdeutils now fail with:
Code:
Calculating dependencies |
!!! All ebuilds that could satisfy "=kde-base/kdeutils-9999.4" have been masked.
!!! One of the following masked packages is required to complete your request:
- kde-base/kdeutils-9999.4 (masked by: EAPI , CHOST: )

The current version of portage supports EAPI '1'. You must upgrade to a
newer version of portage before EAPI masked packages can be installed.

However, my portage is current ~x86 version.

I looked in the overlay, and there are now no longer any kdetoys or kdeutils 9999.4 ebuilds, or even 4.0.0. :? There are only changelogs and a manifest for 4.0.0 versions. Anyone else have these ebuilds after syncing, and it's just me having this occur?

Anyone know what's going on? Right before I last synced the overlay, I did back it up, so I do still have the old kdetoys and kdeutils ebuilds.

No need for a backup (git is smart enough, so you don't need it ;)), if you use layman, just delete the overlay and readd it, the ebuilds are definitely still there.
Back to top
View user's profile Send private message
xvision
n00b
n00b


Joined: 17 Jun 2007
Posts: 33

PostPosted: Sat Jan 26, 2008 7:54 pm    Post subject: Reply with quote

kdebase is failing..

Code:
At revision 766855.
 *    working copy: /usr/portage/distfiles/svn-src/KDE/kdebase/kdebase
 
 * apply patches -->
 * Applying gentoo-startkde.patch ...
 
 * Failed Patch: gentoo-startkde.patch !
 *  ( /usr/portage/local/layman/kde/kde-base/kdebase/files/gentoo-startkde.patch )
 * 
 * Include in your bugreport the contents of:
 * 
 *   /var/tmp/portage/kde-base/kdebase-9999.4/temp/gentoo-startkde.patch-31266.out
 
 * 
 * ERROR: kde-base/kdebase-9999.4 failed.
 * Call stack:
 *               ebuild.sh, line   46:  Called src_unpack
 *             environment, line 2636:  Called kde4svn_src_unpack
 *             environment, line 2005:  Called subversion_src_unpack
 *             environment, line 2870:  Called subversion_bootstrap
 *             environment, line 2756:  Called epatch 'src_unpack'
 *             environment, line 1406:  Called die
 * The specific snippet of code:
 *                   diefunc "$FUNCNAME" "$LINENO" "$?" "Failed Patch: ${patchname}!";
 *  The die message:
 *   Failed Patch: gentoo-startkde.patch!
Back to top
View user's profile Send private message
wrc1944
Advocate
Advocate


Joined: 15 Aug 2002
Posts: 3271
Location: Gainesville, Florida

PostPosted: Sat Jan 26, 2008 8:57 pm    Post subject: Reply with quote

xvision,
When was your last layman sync? After I synced about 20 hours ago, I had to first recompile kdelibs with added USE flags alsa and semantic-desktop to portage.use, and then continue on with kdepimlibs and kdebase. See my post at bottom of previous page.
_________________
Main box- AsRock x370 Gaming K4
Ryzen 1700, 3.0GHz, 16GB GSkill Flare DDR4 3200mhz
Samsung SATA 1000GB, Radeon HD R7 350 2GB DDR5
Gentoo ~amd64 plasma, glibc-2.30-r2, gcc-9.2.0 kernel-5.4.1-gentoo USE=experimental
Back to top
View user's profile Send private message
xvision
n00b
n00b


Joined: 17 Jun 2007
Posts: 33

PostPosted: Sat Jan 26, 2008 11:59 pm    Post subject: Reply with quote

Re-adding the overlay fixed this. Now I'm faced with more problems..

Can someone with a relatively functional installation post their use flags? Konqueror stopped talking to KLauncher now and won't load images in local pages (like the startup page) and won't load sites. KWallet is marginally more functional now, but won't work with Kopete, and kdemultimedia fails immediately after the configure with no useful error message..
Back to top
View user's profile Send private message
wrc1944
Advocate
Advocate


Joined: 15 Aug 2002
Posts: 3271
Location: Gainesville, Florida

PostPosted: Sun Jan 27, 2008 6:28 am    Post subject: Reply with quote

The "Konqueror stopped talking to KLauncher" is a known konqueror problem discussed on this thread a page or three back. Also is present in openSuse kde-4.0 as of their Jan.24 and a bit earlier builds, and unresolved so far, so it's not Gentoo related.

For me, I can't compile kdeedu as of yesterday. Tried commented out the offending packages inthe kdeedu CMakeLists.txt, but then another causes a problem on the next try. Kstars errors out at 100%, Marble at 68%, Algebra at 54%, and kiten at 68%. However, The last successful build of Marble is still functional against the newer kdelibs and others.

After those three tries, I decided to wait a while- seems like it's something more basic than a specific package in kdeedu that can just temporarily be commented out.

I too have problems with password retention, especially on this forum, but I'm not using wallet- just checking the box when signing in. This behavior just started in the past few days. Password doesn't survive closing konqueror- haven't tried other browsers.
_________________
Main box- AsRock x370 Gaming K4
Ryzen 1700, 3.0GHz, 16GB GSkill Flare DDR4 3200mhz
Samsung SATA 1000GB, Radeon HD R7 350 2GB DDR5
Gentoo ~amd64 plasma, glibc-2.30-r2, gcc-9.2.0 kernel-5.4.1-gentoo USE=experimental
Back to top
View user's profile Send private message
cabbagewalker
n00b
n00b


Joined: 09 Feb 2004
Posts: 61
Location: Nottingham, UK

PostPosted: Sun Jan 27, 2008 7:39 am    Post subject: Reply with quote

Although I'm not using layman, (I am using the SVN trunk of KDE4), I've stll got the konqueror launch problems. It will start O/K when launched from a terminal thouhj.

Derek
Back to top
View user's profile Send private message
BigBrain
n00b
n00b


Joined: 02 Jun 2007
Posts: 63

PostPosted: Sun Jan 27, 2008 8:24 am    Post subject: Reply with quote

That also affects me, I can also start Konqueror via terminal. Additionally, Dolphin hardlocks my X server (only strg+alt+backspace or Sys-Rq work) when trying to access NTFS partitions.
Back to top
View user's profile Send private message
xvision
n00b
n00b


Joined: 17 Jun 2007
Posts: 33

PostPosted: Sun Jan 27, 2008 2:44 pm    Post subject: Reply with quote

Alright, good to know. I can confirm that starting Konqueror on the command line doesn't give me any troubles.
Back to top
View user's profile Send private message
jmbsvicetto
Moderator
Moderator


Joined: 27 Apr 2005
Posts: 4734
Location: Angra do Heroísmo (PT)

PostPosted: Sun Jan 27, 2008 5:02 pm    Post subject: Reply with quote

Locked. The discussion has moved here.
_________________
Jorge.

Your twisted, but hopefully friendly daemon.
AMD64 / x86 / Sparc Gentoo
Help answer || emwrap.sh
Back to top
View user's profile Send private message
Display posts from previous:   
This topic is locked: you cannot edit posts or make replies.    Gentoo Forums Forum Index Unsupported Software All times are GMT
Goto page Previous  1, 2, 3 ... 22, 23, 24
Page 24 of 24

 
Jump to:  
You cannot post new topics in this forum
You cannot reply to topics in this forum
You cannot edit your posts in this forum
You cannot delete your posts in this forum
You cannot vote in polls in this forum